<?php

use EventPortal\Domain\Field\Enums\FieldType;

return [
    [
        'label' => 'Key details',
        'component' => FieldType::Section()->getValue(),
        'children' => [
            [
                'component' => FieldType::TextInput()->getValue(),
                'name' => 'first_name',
                'label' => 'First name',
                'classes' => ['col-6'],
                'validation' => [
                    'required',
                ],
                'placeholder' => 'E.g. John',
            ],
            [
                'component' => FieldType::TextInput()->getValue(),
                'name' => 'last_name',
                'label' => 'Last name',
                'classes' => ['col-6'],
                'validation' => [
                    'required',
                ],
                'placeholder' => 'E.g. Doe',
            ],
            [
                'component' => FieldType::TextInput()->getValue(),
                'name' => 'profession',
                'label' => 'Profession',
                'classes' => ['col-6'],
                'validation' => [
                    'required',
                ],
                'placeholder' => 'E.g. Marketing',
            ],
        ],
    ],
];
