<?php

namespace EventPortal\Domain\Table\Facades;

use EventPortal\Domain\Table\Factories\TableFactory;
use Illuminate\Support\Facades\Facade;

/**
 * @method self make(string $modelClass)
 * @method self columns(?string $columns)
 * @method self page(?string $page)
 * @method self filters(?array $filters)
 * @method self sort(?string $sort)
 * @method self order(?string $order)
 * @method self size(?string $size)
 * @method self search(?string $query)
 * @method TableClass get()
 */
class Table extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return TableFactory::class;
    }
}
