<?php

namespace EventPortal\Providers;

use Illuminate\Support\AggregateServiceProvider;
use OwenIt\Auditing\AuditingServiceProvider;
use Spatie\Enum\Laravel\EnumServiceProvider;
use Spatie\SchemalessAttributes\SchemalessAttributesServiceProvider;
use Tightenco\Ziggy\ZiggyServiceProvider;

class EventPortalServiceProvider extends AggregateServiceProvider
{
    /** @var array */
    protected $providers = [
        AppServiceProvider::class,
        AuditingServiceProvider::class,
        BladeServiceProvider::class,
        EnumServiceProvider::class,
        SchemalessAttributesServiceProvider::class,
        ZiggyServiceProvider::class,
        EventServiceProvider::class,
    ];
}
